<?php
/*
  $Id$

  Storo Logo Multi 2.2 Phoenix by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2021 Rainer Schmied

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

  class cm_header_logo_multi extends abstract_executable_module {

    const CONFIG_KEY_BASE = 'MODULE_CONTENT_HEADER_LOGO_MULTI_';

    public function __construct() {
      parent::__construct(__FILE__);

      $this->description .= '<p>by @raiwa <u><a target="_blank" href="http://www.oscaddons.com">www.oscaddons.com</a></u></p>';
    }

    public function execute() {

      $lng_query = $GLOBALS['db']->query(sprintf(<<<'EOSQL'
SELECT directory
  FROM languages
  WHERE code = '%s'
EOSQL
      , DEFAULT_LANGUAGE));

      $lng = $lng_query->fetch_assoc();

      $default_lng_uc_name = strtoupper($lng['directory']);
      $lng_uc_name = strtoupper($_SESSION['language']);

      if ( defined('STORE_LOGO_BIG_' . $lng_uc_name) && file_exists('images/' . constant('STORE_LOGO_BIG_' . $lng_uc_name)) ) {
        $store_logo_big = 'images/' . constant('STORE_LOGO_BIG_' . $lng_uc_name);
      } elseif ( defined('STORE_LOGO_BIG_' . $default_lng_uc_name) && file_exists('images/' . constant('STORE_LOGO_BIG_' . $default_lng_uc_name)) ) {
        $store_logo_big = 'images/' . constant('STORE_LOGO_BIG_' . $default_lng_uc_name);
      }
      $store_logo_big_width = getimagesize($store_logo_big)[0];

      if ( defined('STORE_LOGO_MEDIUM_' . $lng_uc_name) && file_exists('images/' . constant('STORE_LOGO_MEDIUM_' . $lng_uc_name)) ) {
        $store_logo_medium = 'images/' . constant('STORE_LOGO_MEDIUM_' . $lng_uc_name);
      } elseif ( defined('STORE_LOGO_BIG_' . $lng_uc_name) && !empty(constant('STORE_LOGO_BIG_' . $lng_uc_name)) && file_exists('images/' . constant('STORE_LOGO_BIG_' . $lng_uc_name)) ) {
        $store_logo_medium = 'images/' . constant('STORE_LOGO_BIG_' . $default_lng_uc_name);
      } else {
        $store_logo_medium = null;
      }
      $store_logo_medium_width = $store_logo_medium !== null ? getimagesize($store_logo_medium)[0] : null;

      if ( defined('STORE_LOGO_SMALL_' . $lng_uc_name) && file_exists('images/' . constant('STORE_LOGO_SMALL_' . $lng_uc_name)) ) {
        $store_logo_small = 'images/' . constant('STORE_LOGO_SMALL_' . $lng_uc_name);
      } elseif ( defined('STORE_LOGO_BIG_' . $lng_uc_name) && !empty(constant('STORE_LOGO_BIG_' . $lng_uc_name)) && file_exists('images/' . constant('STORE_LOGO_BIG_' . $lng_uc_name)) ) {
        $store_logo_small = 'images/' . constant('STORE_LOGO_BIG_' . $default_lng_uc_name);
      } else {
        $store_logo_small = null;
      }
      $store_logo_small_width = $store_logo_small !== null ? getimagesize($store_logo_small)[0] : null;

      $tpl_data = [ 'group' => $this->group, 'file' => __FILE__ ];
      include 'includes/modules/content/cm_template.php';
    }

    protected function get_parameters() {
      return [
        static::CONFIG_KEY_BASE . 'VERSION' => [
          'title' => 'Current Version',
          'value' => '2.2 Phoenix',
          'desc' => 'Version info. It is read only.',
          'set_func' => 'cm_header_logo_multi::readonly(',
        ],
        static::CONFIG_KEY_BASE . 'STATUS' => [
          'title' => 'Enable Header Logo Multi Module',
          'value' => 'True',
          'desc' => 'Do you want to enable the Logo Multi content module?',
          'set_func' => "Config::select_one(['True', 'False'], ",
        ],
        static::CONFIG_KEY_BASE . 'CONTENT_WIDTH' => [
          'title' => 'Content Width',
          'value' => '4',
          'desc' => 'What width container should the content be shown in?',
          'set_func' => "Config::select_one(['12', '11', '10', '9', '8', '7', '6', '5', '4', '3', '2', '1'], ",
        ],
        static::CONFIG_KEY_BASE . 'SORT_ORDER' => [
          'title' => 'Sort Order',
          'value' => '0',
          'desc' => 'Sort order of display. Lowest is displayed first.',
        ],
      ];
    }

    public static function readonly($value) {
      return $value;
    }

  }
